
package de.ivu.elect.presentation.benutzerverwaltung.menu;

import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.benutzerverwaltung.RolleSearchView;

public class RolleSearchMenuItemEntry extends AbstractRolleMenuItemEntry {

  private static final long serialVersionUID = 1L;

  public RolleSearchMenuItemEntry() {
    super();
  }

  @Override
  protected UseCasePermission getUseCasePermission() {
    return UseCasePermission.ROLLE_SEARCH;
  }

  @Override
  public String getTargetViewId() {
    return RolleSearchView.VIEW_ID;
  }

  @Override
  protected String getLabel() {
    return getMessage(getLabelKey(), getMeta().getMehrzahlMessage());
  }

  @Override
  public String getLabelKey() {
    return "entity.search.menu.item.label";
  }

  @Override
  public String getIcon() {
    return getIcons().getIconSearch();
  }
}
